<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>assembleConvectiveTermStd &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>assembleConvectiveTermStd
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for procedures.">54 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/convectiveFluxes.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/convectivefluxes.f03.html'>convectiveFluxes.f03</a></li>
    
     <li><a href='../module/convectivefluxes.html'>convectiveFluxes</a></li>
    
  
     <li class="active">assembleConvectiveTermStd</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine assembleConvectiveTermStd(this, field, convOpt)
    
    
   
</h2>
    
  


    
    <p>AssembleConvectiveTerm computes the convective fluxes
to be used in the linear system assembling of the convective term. In FLUBIO there are two main ways
to get the common face values between two neighbouring cells.
"Gradient Based" uses the current gradient field to compute the face value of a transported varaible according to different
known formulas (e.g. central, second order upwind etc.).
TVD is a class of methods which allows to compute the face value relying on a total diminishing variation formulas (e.g. Van leer)
For each cell face we can define three quantities:
\begin{eqnarray}
 FluxC_1_f = ||m_f, 0|| \
 FluxC_2_f = -||-m_f, 0|| \
 FluxV_f = m_f*\phi_f
\begin{eqnarray}
The operator ||a, b|| returns the maximum of a and b and it is commonly used to define an upwind scheme.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E39"></span>class(<a href='../type/convective_fluxes.html'>convective_fluxes</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td><p>current class</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-field%7E9"></span>type(flubioField)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>field</strong></td><td><p>Transported field (e.g. velocity or concentration)</p></td>
  
</tr>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-convopt%7E3"></span>integer</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>convOpt</strong></td><td><p>convection scheme to be used</p></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~assembleconvectivetermstd~~CallsGraph Pages: 1 -->
<svg id="procassembleconvectivetermstdCallsGraph" width="539pt" height="200pt"
 viewBox="0.00 0.00 539.00 200.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~assembleconvectivetermstd~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 196)">
<title>proc~~assembleconvectivetermstd~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-196 535,-196 535,4 -4,4"/>
<!-- proc~assembleconvectivetermstd -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_node1" class="node">
<title>proc~assembleconvectivetermstd</title>
<polygon fill="none" stroke="#000000" points="151,-129 0,-129 0,-105 151,-105 151,-129"/>
<text text-anchor="middle" x="75.5" y="-114.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">assembleConvectiveTermStd</text>
</g>
<!-- doublebar -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_node2" class="node">
<title>doublebar</title>
<polygon fill="#777777" stroke="#777777" points="249,-150 188,-150 188,-126 249,-126 249,-150"/>
<text text-anchor="middle" x="218.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">doublebar</text>
</g>
<!-- proc~assembleconvectivetermstd&#45;&gt;doublebar -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_edge1" class="edge">
<title>proc~assembleconvectivetermstd&#45;&gt;doublebar</title>
<path fill="none" stroke="#000000" d="M151.1873,-128.1149C160.3258,-129.4569 169.3727,-130.7855 177.7282,-132.0125"/>
<polygon fill="#000000" stroke="#000000" points="177.4945,-135.5157 187.8969,-133.5058 178.5116,-128.59 177.4945,-135.5157"/>
</g>
<!-- proc~interpolate -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_node3" class="node">
<title>proc~interpolate</title>
<g id="a_proc~~assembleconvectivetermstd~~CallsGraph_node3"><a xlink:href=".././proc/interpolate.html" xlink:title="interpolate">
<polygon fill="#d9534f" stroke="#d9534f" points="250,-108 187,-108 187,-84 250,-84 250,-108"/>
<text text-anchor="middle" x="218.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolate</text>
</a>
</g>
</g>
<!-- proc~assembleconvectivetermstd&#45;&gt;proc~interpolate -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_edge2" class="edge">
<title>proc~assembleconvectivetermstd&#45;&gt;proc~interpolate</title>
<path fill="none" stroke="#000000" d="M151.1873,-105.8851C160.0431,-104.5846 168.813,-103.2967 176.951,-102.1016"/>
<polygon fill="#000000" stroke="#000000" points="177.4948,-105.5594 186.8801,-100.6435 176.4776,-98.6337 177.4948,-105.5594"/>
</g>
<!-- harmonicinterpolation -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_node4" class="node">
<title>harmonicinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="419,-192 304,-192 304,-168 419,-168 419,-192"/>
<text text-anchor="middle" x="361.5" y="-177.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">harmonicinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;harmonicinterpolation -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_edge3" class="edge">
<title>proc~interpolate&#45;&gt;harmonicinterpolation</title>
<path fill="none" stroke="#000000" d="M238.4373,-108.087C242.4169,-110.8273 246.4582,-113.8615 250,-117 268.4008,-133.3051 265.2582,-145.8007 286,-159 288.7548,-160.753 291.6566,-162.3619 294.6537,-163.8384"/>
<polygon fill="#000000" stroke="#000000" points="293.3151,-167.073 303.879,-167.8817 296.1251,-160.6618 293.3151,-167.073"/>
</g>
<!-- gradientbasedinterpolation -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_node5" class="node">
<title>gradientbasedinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="431,-150 292,-150 292,-126 431,-126 431,-150"/>
<text text-anchor="middle" x="361.5" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">gradientbasedinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;gradientbasedinterpolation -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_edge4" class="edge">
<title>proc~interpolate&#45;&gt;gradientbasedinterpolation</title>
<path fill="none" stroke="#000000" d="M250.0326,-106.0273C261.3524,-109.5694 274.2273,-113.5323 286,-117 292.9088,-119.035 300.1887,-121.1264 307.3909,-123.1638"/>
<polygon fill="#000000" stroke="#000000" points="306.5477,-126.5623 317.1217,-125.8982 308.4414,-119.8233 306.5477,-126.5623"/>
</g>
<!-- tvdinterpolation -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_node6" class="node">
<title>tvdinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="404,-108 319,-108 319,-84 404,-84 404,-108"/>
<text text-anchor="middle" x="361.5" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tvdinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;tvdinterpolation -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_edge5" class="edge">
<title>proc~interpolate&#45;&gt;tvdinterpolation</title>
<path fill="none" stroke="#000000" d="M250.2363,-96C267.4033,-96 289.0544,-96 308.6848,-96"/>
<polygon fill="#000000" stroke="#000000" points="308.7315,-99.5001 318.7315,-96 308.7315,-92.5001 308.7315,-99.5001"/>
</g>
<!-- interpolateelementtofacestd -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_node7" class="node">
<title>interpolateelementtofacestd</title>
<polygon fill="#777777" stroke="#777777" points="434,-66 289,-66 289,-42 434,-42 434,-66"/>
<text text-anchor="middle" x="361.5" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolateelementtofacestd</text>
</g>
<!-- proc~interpolate&#45;&gt;interpolateelementtofacestd -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_edge6" class="edge">
<title>proc~interpolate&#45;&gt;interpolateelementtofacestd</title>
<path fill="none" stroke="#000000" d="M250.0326,-85.9727C261.3524,-82.4306 274.2273,-78.4677 286,-75 292.9088,-72.965 300.1887,-70.8736 307.3909,-68.8362"/>
<polygon fill="#000000" stroke="#000000" points="308.4414,-72.1767 317.1217,-66.1018 306.5477,-65.4377 308.4414,-72.1767"/>
</g>
<!-- proc~printinterpolationmethodslist -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_node8" class="node">
<title>proc~printinterpolationmethodslist</title>
<g id="a_proc~~assembleconvectivetermstd~~CallsGraph_node8"><a xlink:href=".././proc/printinterpolationmethodslist.html" xlink:title="printInterpolationMethodsList">
<polygon fill="#d9534f" stroke="#d9534f" points="437,-24 286,-24 286,0 437,0 437,-24"/>
<text text-anchor="middle" x="361.5" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">printInterpolationMethodsList</text>
</a>
</g>
</g>
<!-- proc~interpolate&#45;&gt;proc~printinterpolationmethodslist -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_edge7" class="edge">
<title>proc~interpolate&#45;&gt;proc~printinterpolationmethodslist</title>
<path fill="none" stroke="#000000" d="M228.1878,-83.9604C240.2646,-69.7375 262.2317,-46.3296 286,-33 289.4394,-31.0711 293.0679,-29.3098 296.7984,-27.7029"/>
<polygon fill="#000000" stroke="#000000" points="298.1905,-30.9167 306.2323,-24.0189 295.6442,-24.3962 298.1905,-30.9167"/>
</g>
<!-- flubiostop -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_node9" class="node">
<title>flubiostop</title>
<polygon fill="#777777" stroke="#777777" points="531,-24 473,-24 473,0 531,0 531,-24"/>
<text text-anchor="middle" x="502" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostop</text>
</g>
<!-- proc~printinterpolationmethodslist&#45;&gt;flubiostop -->
<g id="proc~~assembleconvectivetermstd~~CallsGraph_edge8" class="edge">
<title>proc~printinterpolationmethodslist&#45;&gt;flubiostop</title>
<path fill="none" stroke="#000000" d="M437.0965,-12C445.9482,-12 454.686,-12 462.7435,-12"/>
<polygon fill="#000000" stroke="#000000" points="462.8963,-15.5001 472.8963,-12 462.8963,-8.5001 462.8963,-15.5001"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>